Get the streaming event manifest
curl --request GET \
--url https://reporter.sandbox.lerian.net/v1/streaming/manifest \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://reporter.sandbox.lerian.net/v1/streaming/manifest"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://reporter.sandbox.lerian.net/v1/streaming/manifest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://reporter.sandbox.lerian.net/v1/streaming/manifest"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"commandsTopic": "<string>",
"dlqTopic": "<string>",
"events": [
{
"class": "<string>",
"dataContentType": "<string>",
"dataSchema": "<string>",
"defaultPolicy": {
"direct": "direct",
"dlq": "never",
"enabled": true,
"outbox": "never"
},
"description": "<string>",
"eventKey": "<string>",
"eventType": "<string>",
"key": "<string>",
"resourceType": "<string>",
"schemaVersion": "<string>",
"systemEvent": true
}
],
"publisher": {
"appVersion": "<string>",
"libVersion": "<string>",
"outboxSupported": true,
"producerId": "<string>",
"routePath": "<string>",
"serviceName": "<string>",
"source": "<string>"
},
"routes": [
{
"definitionKey": "<string>",
"destination": "<string>",
"dlqConfigured": true,
"key": "<string>",
"required": true,
"target": "<string>",
"transport": "<string>"
}
],
"topic": "<string>",
"version": "<string>"
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "body.templateId",
"message": "expected string to match 'uuid' format",
"value": "not-a-uuid"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "body.templateId",
"message": "expected string to match 'uuid' format",
"value": "not-a-uuid"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "body.templateId",
"message": "expected string to match 'uuid' format",
"value": "not-a-uuid"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}Get the streaming event manifest
Returns the catalog of business events Reporter publishes and the Kafka topic they leave on, in the shape the Streaming Hub reads.
GET
/
v1
/
streaming
/
manifest
Get the streaming event manifest
curl --request GET \
--url https://reporter.sandbox.lerian.net/v1/streaming/manifest \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://reporter.sandbox.lerian.net/v1/streaming/manifest"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://reporter.sandbox.lerian.net/v1/streaming/manifest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://reporter.sandbox.lerian.net/v1/streaming/manifest"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"commandsTopic": "<string>",
"dlqTopic": "<string>",
"events": [
{
"class": "<string>",
"dataContentType": "<string>",
"dataSchema": "<string>",
"defaultPolicy": {
"direct": "direct",
"dlq": "never",
"enabled": true,
"outbox": "never"
},
"description": "<string>",
"eventKey": "<string>",
"eventType": "<string>",
"key": "<string>",
"resourceType": "<string>",
"schemaVersion": "<string>",
"systemEvent": true
}
],
"publisher": {
"appVersion": "<string>",
"libVersion": "<string>",
"outboxSupported": true,
"producerId": "<string>",
"routePath": "<string>",
"serviceName": "<string>",
"source": "<string>"
},
"routes": [
{
"definitionKey": "<string>",
"destination": "<string>",
"dlqConfigured": true,
"key": "<string>",
"required": true,
"target": "<string>",
"transport": "<string>"
}
],
"topic": "<string>",
"version": "<string>"
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "body.templateId",
"message": "expected string to match 'uuid' format",
"value": "not-a-uuid"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "body.templateId",
"message": "expected string to match 'uuid' format",
"value": "not-a-uuid"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "body.templateId",
"message": "expected string to match 'uuid' format",
"value": "not-a-uuid"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}¿Esta página le ayudó?

